---
title: HTMLImageElement.isMap
slug: Web/API/HTMLImageElement/isMap
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image Map
  - Link
  - Reference
  - isMap
  - server-side
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The {{domxref("HTMLImageElement")}} proeprty <code><strong>isMap</strong></code> is a Boolean value which indicates that the image is to be used by a server-side image map. This may only be used on images located within an {{HTMLElement("a")}} element.</p>

<div class="notecard note">
<p><strong>Note:</strong> For accessibility reasons, you should generally avoid using server-side image maps, as they require the use of a mouse. Use a <a href="/en-US/docs/Learn/HTML/Howto/Add_a_hit_map_on_top_of_an_image">client-side image map</a> instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.isMap = true|false;
let isMap = <em>htmlImageElement</em>.isMap;
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if the image is being used for a server-side image map; otherwise, the value is <code>false</code>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>When an image marked as being part of a server-side image map is clicked, the browser constructs the string "?x,y", where x and y indicate the coordinates at which the mouse was clicked as offsets from the top-left corner of the image, specified in CSS pixels.</p>

<p>The browser then fetches that URL from the server and displays or downloads it depending on the value of the {{htmlattrxref("download", "a")}} attribute.</p>

<p>Unlike server-side image maps, client-side image maps don't cause the {{HTMLElement("img")}} element to adopt interactive content mode.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', '#dom-img-ismap', 'HTMLImageElement.isMap')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLImageElement.isMap")}}</p>
